Skip to main content
POST
/
v1
/
decisions
Record a lending decision
curl --request POST \
  --url https://api.swippee.com/v1/decisions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_reference_id": "loan-1001",
  "report_id": "<string>",
  "decision_rationale": "FOIR 32%, stable salary",
  "amount": 250000
}
'
{
  "error_type": "AUTHENTICATION_ERROR",
  "error_code": "INVALID_API_KEY",
  "error_message": "Unknown API key.",
  "display_message": null,
  "request_id": "req_8f3c9b2e4a1d4f7c9e0b1a2c3d4e5f60",
  "documentation_url": "https://docs.swippee.com/concepts/errors#invalid_api_key",
  "suggested_action": "Check your API key in the Authorization header."
}

Authorizations

Authorization
string
header
required

Your API key from the dashboard, sent as Authorization: Bearer swippee_sk_live_....

Body

application/json
client_reference_id
string
required
Example:

"loan-1001"

decision
enum<string>
required
Available options:
approved,
review,
declined
report_id
string
decision_rationale
string
Example:

"FOIR 32%, stable salary"

amount
number
Example:

250000

Response

Decision recorded